Page MenuHomePhabricator

[NVPTX] Move getDivF32Level, usePrecSqrtF32, and useF32FTZ into out of DAGToDAG and into TargetLowering.
ClosedPublic

Authored by jlebar on Jan 16 2017, 11:27 PM.

Details

Summary

DADToDAG has access to TargetLowering, but not vice versa, so this is
the more general location for these functions.

NFC

Diff Detail

Repository
rL LLVM

Event Timeline

jlebar created this revision.Jan 16 2017, 11:27 PM
tra added inline comments.Jan 17 2017, 2:52 PM
llvm/lib/Target/NVPTX/NVPTXISelLowering.h
513 ↗(On Diff #84636)

This looks like a todo item. :-)

jlebar updated this revision to Diff 85081.Jan 19 2017, 5:52 PM
jlebar marked an inline comment as done.

Add missing comments. Oops. :)

tra accepted this revision.Jan 20 2017, 10:04 AM
This revision is now accepted and ready to land.Jan 20 2017, 10:04 AM
This revision was automatically updated to reflect the committed changes.